Gauge Type

The gauge type resource.

Basehttps://rest.carbon.ms/gaugeType
GET/gaugeType

List gauge types

Retrieve a paginated list of gauge types. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/gaugeType
curl --request GET \
  --url 'https://rest.carbon.ms/gaugeType?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "name": "Example",
    "customFields": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "companyId": "xyz789",
    "updatedAt": "2026-01-01T00:00:00Z",
    "updatedBy": "string"
  }
]
GET/gaugeType

Retrieve a gauge type

Fetch a single gauge type by filtering on `id`.

Query parameters

idstring

Match on the gauge type's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/gaugeType
curl --request GET \
  --url 'https://rest.carbon.ms/gaugeType?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "customFields": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "companyId": "xyz789",
  "updatedAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string"
}
POST/gaugeType

Create a gauge type

Create a new gauge type.

Body parameters

namestringrequired
companyIdstring

References company.id

customFieldsobjectrequired
POSThttps://rest.carbon.ms/gaugeType
curl --request POST \
  --url https://rest.carbon.ms/gaugeType \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example","customFields":"string"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "customFields": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "companyId": "xyz789",
  "updatedAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string"
}
PATCH/gaugeType

Update a gauge type

Update an existing gauge type, matched on `id`.

Body parameters

namestringrequired
companyIdstring

References company.id

customFieldsobjectrequired
PATCHhttps://rest.carbon.ms/gaugeType
curl --request PATCH \
  --url 'https://rest.carbon.ms/gaugeType?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "customFields": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "companyId": "xyz789",
  "updatedAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string"
}
DELETE/gaugeType

Delete a gauge type

Delete a gauge type, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the gauge type to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/gaugeType
curl --request DELETE \
  --url 'https://rest.carbon.ms/gaugeType?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content